# Class LineHeaderAnnotation

java.lang.Object
org.eclipse.jface.text.source.Annotation
org.eclipse.jface.text.source.inlined.AbstractInlinedAnnotation
org.eclipse.jface.text.source.inlined.LineHeaderAnnotation

public class LineHeaderAnnotation extends AbstractInlinedAnnotation
Inlined annotation which is drawn before a line and which takes some place with a given height.

Since:
  3.13

## Field Summary

### Fields inherited from class AbstractInlinedAnnotation

`TYPE`

### Fields inherited from class Annotation

`TYPE_UNKNOWN`

## Constructor Summary

Constructors
Constructor
Description
`LineHeaderAnnotation(Position position, ISourceViewer viewer)`
Line header annotation constructor.
`LineHeaderAnnotation(Position position, ISourceViewer viewer, Consumer<MouseEvent> onMouseHover, Consumer<MouseEvent> onMouseOut, Consumer<MouseEvent> onMouseMove)`
Line header annotation constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getHeight()`
Returns the annotation height.

### Methods inherited from class AbstractInlinedAnnotation

`draw, getAction, getMinings, getPosition, getTextWidget, getViewer, isInVisibleLines, isInVisibleLines, onMouseHover, onMouseMove, onMouseOut, redraw`

### Methods inherited from class Annotation

`getText, getType, isMarkedDeleted, isPersistent, markDeleted, setText, setType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LineHeaderAnnotation

public LineHeaderAnnotation(Position position, ISourceViewer viewer)
Line header annotation constructor.

Parameters:
  `position` - the position where the annotation must be drawn.
  `viewer` - the `ISourceViewer` where the annotation must be drawn.

### LineHeaderAnnotation

public LineHeaderAnnotation(Position position, ISourceViewer viewer, Consumer<MouseEvent> onMouseHover, Consumer<MouseEvent> onMouseOut, Consumer<MouseEvent> onMouseMove)
Line header annotation constructor.

Parameters:
  `position` - the position where the annotation must be drawn.
  `viewer` - the `ISourceViewer` where the annotation must be drawn.
  `onMouseHover` - the consumer to be called on mouse hover. If set, the implementor needs to take care of setting the cursor if wanted.
  `onMouseOut` - the consumer to be called on mouse out. If set, the implementor needs to take care of resetting the cursor.
  `onMouseMove` - the consumer to be called on mouse move
Since:
  3.27

## Method Details

### getHeight

public int getHeight()
Returns the annotation height. By default, returns the `StyledText.getLineHeight()`.

Returns:
  the annotation height.